package com.timtech.profile.service;

import com.timtech.profile.dto.ProfileDto;

import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface ProfileService {
	
	Mono<ProfileDto> save(ProfileDto profileDto);
	
	Mono<ProfileDto> update(ProfileDto profileDto);
	
	Flux<ProfileDto> findAll();
	
	Mono<ProfileDto> findOne(String profileId);
	
	Mono<String> deleteOne(String profileId);
	

}
